### Method

# Snapd Notice compare_last_occurred

since: 1.66

#### Declaration [src]

    gint
    snapd_notice_compare_last_occurred (
      SnapdNotice* notice,
      SnapdNotice* notice_to_compare
    )

#### Description [src]

Compare the last_occurred fields (and the last_occurred_nanosecond if available) of both notices, and returns whether the first one is before, same or after the second one.

Available since: 1.66

#### Parameters

`notice_to_compare`

  Type: `SnapdNotice`

  Another `SnapdNotice`.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

-1 if the first one is before the second one; 0 if both are the same time instant, and 1 if the first one is after the second one.